using System;

internal sealed class Delegate807 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate807 delegate807_1)
	{
		return delegate807_1(object_0);
	}

	public extern Delegate807(object object_0, IntPtr intptr_0);

	static Delegate807()
	{
		Class10.smethod_13(typeof(Delegate807).TypeHandle);
	}

	internal static Delegate807 delegate807_0;
}
